<!ELEMENT rss (channel)*>
<!ATTLIST rss version CDATA #FIXED "2.0">
<!ELEMENT channel (title | link | description | item* | language? | copyright? | managingEditor? | webMaster? | pubDate? | lastBuildDate? | category? | generator? | docs? | cloud? | ttl? | image? | rating? | textInput? | skipHours? | skipDays?)*>
<!ELEMENT title (#PCDATA)>
<!ELEMENT link (#PCDATA)>
<!ELEMENT description (#PCDATA)>
<!ELEMENT language (#PCDATA)*>
<!ELEMENT copyright (#PCDATA)*>
<!ELEMENT managingEditor (#PCDATA)*>
<!ELEMENT webMaster (#PCDATA)*>
<!ELEMENT pubDate (#PCDATA)*>
<!ELEMENT lastBuildDate (#PCDATA)*>
<!ELEMENT generator (#PCDATA)*>
<!ELEMENT docs (#PCDATA)*>
<!ELEMENT ttl (#PCDATA)*>
<!ELEMENT image (url | title | link | width? | height? | description)*>
<!ELEMENT url (#PCDATA)>
<!ELEMENT width (#PCDATA)*>
<!ELEMENT height (#PCDATA)*>
<!ELEMENT textInput (title | description | name | link)*>
<!ELEMENT name (#PCDATA)*>
<!ELEMENT skipHours (#PCDATA)*>
<!ELEMENT skipDays (#PCDATA)*>
<!ELEMENT item (title | link | description | author | category | comments | enclosure | guid | pubDate | source)+>
<!ELEMENT author (#PCDATA)*>
<!ELEMENT category (#PCDATA)*>
<!ATTLIST category domain CDATA #IMPLIED>
<!ELEMENT comments (#PCDATA)*>
<!ELEMENT enclosure (#PCDATA)*>
<!ATTLIST enclosure url CDATA #REQUIRED>
<!ATTLIST enclosure length CDATA #REQUIRED>
<!ATTLIST enclosure type CDATA #REQUIRED>
<!ELEMENT guid (#PCDATA)*>
<!ATTLIST guid isPermaLink CDATA #IMPLIED>
<!ELEMENT source (#PCDATA)*>
<!ATTLIST source url CDATA #REQUIRED>
<!ELEMENT cloud (#PCDATA)>
<!ATTLIST cloud
    domain              CDATA #REQUIRED
    port                CDATA #REQUIRED
    path                CDATA #REQUIRED
    registerProcedure   CDATA #REQUIRED
    protocol            CDATA	#REQUIRED>